summaryrefslogtreecommitdiffstats
path: root/system/sandbox/sandbox.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/sandbox/sandbox.SlackBuild')
-rw-r--r--system/sandbox/sandbox.SlackBuild16
1 files changed, 5 insertions, 11 deletions
diff --git a/system/sandbox/sandbox.SlackBuild b/system/sandbox/sandbox.SlackBuild
index c53e008657..a6dbbd7181 100644
--- a/system/sandbox/sandbox.SlackBuild
+++ b/system/sandbox/sandbox.SlackBuild
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=sandbox
-VERSION=${VERSION:-2.13}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.14}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -69,11 +69,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Remove -nodefaultlibs to avoid compiler failures for 32-bit with slibtool.
-# GNU libtool swallows anything not on their list of "known" linker flags.
-# https://bugs.gentoo.org/657184
-patch -p1 < $CWD/slibtool.patch
-
autoreconf -fi
CFLAGS="$SLKCFLAGS" \
@@ -90,12 +85,11 @@ make install DESTDIR=$PKG
mv $PKG/etc/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
mv $PKG/etc/$PRGNAM.d/00default $PKG/etc/$PRGNAM.d/00default.new
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog.0 INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install